# Boostrap + Webpack + JQuery Boilerplate

> Build landing page with **Boostrap** and **jQuery** is so easy.

<a target="_blank" href="https://opensource.org/licenses/MIT" title="License: MIT">
  <img src="https://img.shields.io/badge/License-MIT-blue.svg">
</a>
<a href="#badge">
  <img alt="code style: prettier" src="https://img.shields.io/badge/code_style-prettier-ff69b4.svg">
</a>
<a target="_blank" href="http://makeapullrequest.com" title="PRs Welcome"><img src="https://img.shields.io/badge/PRs-welcome-brightgreen.svg"></a>

## Why ?

React is awesome, and I use it everyday.

However, not each project needs such a complicated library. jQuery and bootstrap are good enough.

Hence, this repo is suitable for simple projects.

## About DOM manipulation, all you need is...

#### 🤩 jQuery

#### ❌ No React

#### ❌ No Vue

#### ❌ No Angular

## About CSS, all you need is...

#### 🤩 Bootstrap + CSS

#### ❌ No CSS Modules

#### ❌ No styled-components

## Features

* **Bootstrap** and **jQuery** installed
* Hot Module Replacement (**HMR**)
* Support **ES6** Syntax
* **ESLint** + **Prettier** = **Neat Coding Style**
* Webpack production building

## Download and Install

Let's go!

```
$ git clone https://github.com/xxhomey19/bootstrap-webpack-jquery-boilerplate.git
$ yarn // or npm install
```

## Development

Run development page on **localhost:8080**

```
$ npm run dev
```

## Build

Build for production.

```
$ npm run build
```

## Deploy

Deploy to `gh-pages` branch on GitHub.

**[DEMO](https://xxhomey19.github.io/bootstrap-webpack-jquery-boilerplate/)**

```
$ npm run deploy
```

## License

MIT © [xxhomey19](https://github.com/xxhomey19)
